### Method

# Cogl Pipeline set_color

#### Declaration [src]

    void
    cogl_pipeline_set_color (
      CoglPipeline* pipeline,
      const CoglColor* color
    )

#### Description [src]

Sets the basic color of the pipeline, used when no lighting is enabled.

Note that if you don’t add any layers to the pipeline then the color will be blended unmodified with the destination; the default blend expects premultiplied colors: for example, use (0.5, 0.0, 0.0, 0.5) for semi-transparent red. See cogl_color_premultiply().

The default value is (1.0, 1.0, 1.0, 1.0).

#### Parameters

`color`

  Type: `CoglColor`

  The components of the color.

  The data is owned by the caller of the method.